console.log("ISRC Duplicates:\n");
Bun.file("./duplicates.isrc.json").json()
    .then(data => {
        Object.keys(data).forEach((key) => {
            const { count, duplicates } = data[key];
            console.log(`Found ${count} duplicates for ISRC "${key}":`);
            duplicates.forEach((track) => {
                console.log(` - ${track.item.title} (ID: ${track.item.id}) (Quality: ${track.item.mediaMetadata.tags.join(", ")})`);
            });
        });
    });
console.log("\nName Duplicates:\n");
Bun.file("./duplicates.name.json").json()
    .then(data => {
        Object.keys(data).forEach((key) => {
            const { count, duplicates } = data[key];
            console.log(`Found ${count} duplicates for Name "${key}":`);
            duplicates.forEach((track) => {
                console.log(` - Artist: ${track.item.artists.map(artist => artist.name).join(", ")}`);
                console.log(`   - ${track.item.title} (ID: ${track.item.id}) (Quality: ${track.item.mediaMetadata.tags.join(", ")})`);
            });
        });
    });